package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PricingEspecificoOcupacionDAO;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoOcupacion;
import com.rjconsultores.ventaboletos.service.PricingEspecificoOcupacionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("pricingEspecificoOcupacionService")
public class PricingEspecificoOcupacionServiceImpl implements PricingEspecificoOcupacionService {
    @Autowired
    private PricingEspecificoOcupacionDAO pricingEspecificoOcupacionDAO;
    
	@Override
	public List<PricingEspecificoOcupacion> obtenerTodos() {
		return pricingEspecificoOcupacionDAO.obtenerTodos();
	}

	@Override
	public PricingEspecificoOcupacion obtenerID(Long id) {
		return pricingEspecificoOcupacionDAO.obtenerID(id);
	}

	@Override
	public PricingEspecificoOcupacion suscribir(PricingEspecificoOcupacion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return pricingEspecificoOcupacionDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public PricingEspecificoOcupacion actualizacion(PricingEspecificoOcupacion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());

		return pricingEspecificoOcupacionDAO.actualizacion(entidad);
	}

	@Override
	public void borrar(PricingEspecificoOcupacion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        pricingEspecificoOcupacionDAO.actualizacion(entidad);
	}

}
